#pragma once
#include "PostprocInterface.h"



class DepthColorPostproc : public PostprocInterface
{
public:
	DepthColorPostproc(PostprocContext* context);

	virtual const char* GetPostProcName(void)
	{
		return "DepthColor";
	}

	virtual void BeginRender(void);
	virtual void EndRender(void);

private:
	lib_gl::GlslProgram m_Shader;
};
